#include<iostream.h>
#include<fstream.h>
#include<iomanip.h>

class INVENTORY
{
	char name[10];
	int code;
	float cost;
    public:
	void getdata(void);
	void putdata(void);
};

void INVENTORY :: getdata(void)
{
	cout << "Enter Name : "; cin >> name;
	cout << "Enter Code : "; cin >> code;
	cout << "Enter Cost : "; cin >> cost;
}

void INVENTORY :: putdata(void)
{
	cout << setw(10) << name
	     << setw(10) << code
	     << setprecision(2)
	     << setw(10) << cost
	     << endl;
}

int main()
{
	INVENTORY item;
	fstream inoutfile;

	inoutfile.open("STOCK.DAT", ios::ate | ios::in | ios::out | ios::binary);

	inoutfile.seekg(0,ios::beg);
	cout << "Current contents of Stock\n";
	
	while(inoutfile.read((char *) &item, sizeof item))
	{
		item.putdata();
	}
	inoutfile.clear();	//turn off EOF flag

	cout << "\nAdd an item\n";
	item.getdata();
	char ch;
	inoutfile.write((char *)&item,sizeof item);

	inoutfile.seekg(0);

	cout << "Contents of Appended file\n";
	while(inoutfile.read((char *) &item, sizeof item))
	{
		item.putdata();
	}

	//find number of objects in the file
	int last = inoutfile.tellg();
	int n = last/sizeof(item);

	cout << "Number of objects = " << n << "\n";
	cout << "Total bytes in the file = " << last << "\n";

	//Modify the details of an item

	cout << "Enter object number to be updated\n";
	int object;
	cin >> object;


	int location = (object - 1) * sizeof(item);
	cout << location;

	if(inoutfile.eof())
		inoutfile.clear();

	inoutfile.seekp(location);

	cout << "Enter new values of the object \n";
	item.getdata();

	
	inoutfile.write((char *) &item, sizeof item) << flush;
	inoutfile.seekg(0);

	cout << "Contents of updated file\n";
	while(inoutfile.read((char *) &item, sizeof item))
	{
		item.putdata();
	}
	inoutfile.close();

	return 0;
}	
			